* Makefile.in: Remove EXE_LDFLAGS. Fix fhandler_CFLAGS typo. Recognize .s

suffix.
* configure.in: Remove EXE_LDFLAGS.
* configure: Regenerate.
This commit is contained in:
Christopher Faylor 2003-03-29 04:20:45 +00:00
parent b7f68d3e9d
commit 46c8214c77
4 changed files with 9 additions and 82 deletions

View File

@ -1,3 +1,9 @@
2003-03-28 Christopher Faylor <cgf@redhat.com>
* Makefile.in: Remove EXE_LDFLAGS. Fix fhandler_CFLAGS typo. Recognize .s suffix.
* configure.in: Remove EXE_LDFLAGS.
* configure: Regenerate.
2003-03-28 Christopher Faylor <cgf@redhat.com>
* include/sys/cygwin.h: Declare cygwin_internal as unsigned long.

View File

@ -52,7 +52,7 @@ malloc_CFLAGS:=-fomit-frame-pointer
shared_CFLAGS:=-fomit-frame-pointer
cygthread_CFLAGS:=-fomit-frame-pointer
miscfuncs_CFLAGS:=-fomit-frame-pointer
fhandler_CFLAGS:=-fomit-frame_pointer
fhandler_CFLAGS:=-fomit-frame-pointer
fhandler_clipboard_CFLAGS:=-fomit-frame-pointer
fhandler_console_CFLAGS:=-fomit-frame-pointer
fhandler_disk_file_CFLAGS:=-fomit-frame-pointer
@ -78,12 +78,9 @@ CC:=@CC@
CC_FOR_TARGET:=$(CC)
CFLAGS=@CFLAGS@
override CFLAGS+=-MMD ${$(*F)_CFLAGS}
CXX:=@CXX@
CXX=@CXX@
CXXFLAGS=@CXXFLAGS@
# For linking mount, etc. crt0.o isn't accessable in a fresh build.
EXE_LDFLAGS:=@EXE_LDFLAGS@
AR:=@AR@
AR_FLAGS:=qv
RANLIB:=@RANLIB@
@ -245,7 +242,7 @@ TARGET_LIBS:=$(LIB_NAME) $(SUBLIBS) $(GMON_START) $(LIBGMON_A) $(SUBLIBS) $(INST
install install-libs install-headers -lgcc
.SUFFIXES:
.SUFFIXES: .c .cc .def .a .o .d
.SUFFIXES: .c .cc .def .a .o .d .s
all_host=@all_host@
install_host=@install_host@

View File

@ -1964,48 +1964,6 @@ esac
echo $ac_n "checking if newlib is part of the build tree""... $ac_c" 1>&6
echo "configure:1970: checking if newlib is part of the build tree" >&5
EXE_LDFLAGS=
if test -d ../newlib
then
echo "$ac_t""yes" 1>&6
EXE_LDFLAGS="-B../../newlib/ -B../"
else
echo "$ac_t""no" 1>&6
fi
if test x"$EXE_LDFLAGS" = x
then
echo $ac_n "checking if installed newlib needed""... $ac_c" 1>&6
echo "configure:1985: checking if installed newlib needed" >&5
cat > conftest.$ac_ext <<EOF
#line 1987 "configure"
#include "confdefs.h"
int main() {
/* main already defined */
; return 0; }
EOF
if { (eval echo configure:1995: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
echo "$ac_t""no" 1>&6
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
echo "$ac_t""yes" 1>&6
echo "configure: warning: newlib not found - utility .exe's may not link" 1>&2
fi
rm -f conftest*
fi
case "$target_cpu" in
i386|i486|i586|i686) DLL_ENTRY="_dll_entry@12"
DEF_DLL_ENTRY="dll_entry@12"
@ -2189,7 +2147,6 @@ s%@CPP@%$CPP%g
s%@ALLOCA@%$ALLOCA%g
s%@SET_MAKE@%$SET_MAKE%g
s%@MT_SAFE@%$MT_SAFE%g
s%@EXE_LDFLAGS@%$EXE_LDFLAGS%g
s%@MALLOC_OFILES@%$MALLOC_OFILES%g
s%@DLL_ENTRY@%$DLL_ENTRY%g
s%@DEF_DLL_ENTRY@%$DEF_DLL_ENTRY%g
@ -2413,4 +2370,3 @@ chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

View File

@ -204,38 +204,6 @@ dnl program_transform_name="$program_transform_name -e s,^,$target_alias-,"
dnl fi
dnl fi
dnl
dnl If newlib is part of build tree, always set EXE_LDFLAGS to point to
dnl it; this is important in cases where the installed newlib is perhaps
dnl not compatible. Check and warn for installed newlib only if it's not
dnl part of the build tree.
dnl
AC_MSG_CHECKING([if newlib is part of the build tree])
EXE_LDFLAGS=
if test -d ../newlib
then
AC_MSG_RESULT(yes)
EXE_LDFLAGS="-B../../newlib/ -B../"
else
AC_MSG_RESULT(no)
fi
AC_SUBST(EXE_LDFLAGS)
if test x"$EXE_LDFLAGS" = x
then
AC_MSG_CHECKING([if installed newlib needed])
AC_TRY_LINK(,
[/* main already defined */]
,
AC_MSG_RESULT(no)
,
AC_MSG_RESULT(yes)
AC_MSG_WARN(newlib not found - utility .exe's may not link))
fi
AC_SUBST(EXE_LDFLAGS)
case "$target_cpu" in
i386|i486|i586|i686) DLL_ENTRY="_dll_entry@12"
DEF_DLL_ENTRY="dll_entry@12"